Run of lintian-fixes for cinnamon-session

Try this locally (using the lintian-brush package):

debcheckout cinnamon-session
cd cinnamon-session
lintian-brush

Merge these changes:

Summary

Diff

diff --git a/debian/control b/debian/control
index cd59ec0..d0206ed 100644
--- a/debian/control
+++ b/debian/control
@@ -8,7 +8,7 @@ Uploaders:
  Fabio Fantoni <fantonifabio@tiscali.it>,
  Norbert Preining <norbert@preining.info>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  gnome-pkg-tools (>= 0.13),
  intltool (>= 0.40.6),
  libcanberra-dev,
diff --git a/debian/rules b/debian/rules
index f2ec4a5..ef5239a 100755
--- a/debian/rules
+++ b/debian/rules
@@ -18,4 +18,3 @@ override_dh_auto_configure:
 # --list-missing will be default in compat 12
 override_dh_missing:
 	dh_missing --list-missing
-
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
new file mode 100644
index 0000000..4eb33c6
--- /dev/null
+++ b/debian/upstream/metadata
@@ -0,0 +1,5 @@
+---
+Bug-Database: https://github.com/linuxmint/cinnamon-session/issues
+Bug-Submit: https://github.com/linuxmint/cinnamon-session/issues/new
+Repository: https://github.com/linuxmint/cinnamon-session.git
+Repository-Browse: https://github.com/linuxmint/cinnamon-session

Debdiff

Error retrieving debdiff: Unable to get debdiff: 500 Internal Server Error

500 Internal Server Error

Server got itself in trouble

Publish History

  • 2021-05-08T07:57: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/cinnamon-team/cinnamon-session.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/cinnamon-team/cinnamon-session.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-08T05:41: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/cinnamon-team/cinnamon-session.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/cinnamon-team/cinnamon-session.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-08T03:23: Failed to create merge proposal: hoster-no-login (Hoster salsa.debian.org supported but not login known.)
  • 2021-05-08T00:55: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/cinnamon-team/cinnamon-session.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/cinnamon-team/cinnamon-session.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-07T22:33: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/cinnamon-team/cinnamon-session.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/cinnamon-team/cinnamon-session.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )

Full worker log Full build log